| Qore DataProvider Module Reference 1.2.1

Public Member Functions | List of all members
DataProvider::DefaultBulkUpserter Class Reference

Default builk inserter class. More...

Inheritance diagram for DataProvider::DefaultBulkUpserter:
[legend]

## Public Member Functions
| constructor (AbstractDataProvider provider)
| Creates the object.
| discard ()
| Discards any buffered data. More...
| flush ()
| Flushes any remaining data to the data provider. More...
| queueData (hash< auto > record)
| Queues data in the buffer.
| queueData (list< hash< auto >> records)
| Queues data in the buffer.
Public Member Functions inherited from DataProvider::AbstractDataProviderBulkOperation
| commit ()
| Commits data written to the data provider. More...
| constructor (AbstractDataProvider provider)
| Creates the object.
| rollback ()
| Rolls back data written to the data provider. More...

## Additional Inherited Members
Protected Attributes inherited from DataProvider::AbstractDataProviderBulkOperation
AbstractDataProvider | provider
| The data provider.

## Detailed Description

Default builk inserter class.

## Member Function Documentation

## ◆ discard()

DataProvider::DefaultBulkUpserter::discard | ( |  | ) |
| virtual

Discards any buffered data.

This method should be called before rolling back the transaction (if the data provider supports transaction management) or destroying the object if an error occurs

Implements DataProvider::AbstractDataProviderBulkOperation.

## ◆ flush()

DataProvider::DefaultBulkUpserter::flush | ( |  | ) |
| virtual

Flushes any remaining data to the data provider.

This method should always be called before committing the transaction (if the data provider supports transaction management) or destroying the object

Implements DataProvider::AbstractDataProviderBulkOperation.